package com.example.demo;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@SpringBootApplication
@EnableJpaRepositories
@EnableCaching
public class CacheBridgeMethod1Application {

	public static void main(String[] args) {
		SpringApplication.run(CacheBridgeMethod1Application.class, args);
	}
	
	@Bean
	CommandLineRunner runSave(ProfileRepository repo) {
		
		return (args) -> {
			System.out.println("before save");
			repo.save(new Profile(200, "Profile 200"));
			System.out.println("after save");
		};
	}

}
